import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:permissions_kiosk/permissions_kiosk.dart';

void main() {
  const MethodChannel channel = MethodChannel('permissions_kiosk');

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await PermissionsKiosk.platformVersion, '42');
  });
}
